%define upstream_name	 Net-IP
%define upstream_version 1.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for manipulating IPv4/IPv6 addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides functions to deal with IPv4/IPv6 addresses.
The module can be used as a class, allowing the user to instantiate
IP objects, which can be single IP addresses, prefixes, or ranges of
addresses. There is also a procedural way of accessing most of the
functions. Most subroutines can take either IPv4 or IPv6 addresses
transparently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.260.0-2.mga3
+ Revision: 370639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.260.0-1.mga3
+ Revision: 342437
- update to 1.26

* Sat Jan 22 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 30911
- mageia rebuild
- imported package perl-Net-IP

